package x64

import (
	"git.akyoto.dev/cli/q/src/build/cpu"
)

// OrRegisterNumber performs a bitwise OR using a register and a number.
func OrRegisterNumber(code []byte, destination cpu.Register, number int) []byte {
	return encodeNum(code, AddressDirect, 0b001, destination, number, 0x83, 0x81)
}

// OrRegisterRegister performs a bitwise OR using two registers.
func OrRegisterRegister(code []byte, destination cpu.Register, operand cpu.Register) []byte {
	return encode(code, AddressDirect, operand, destination, 8, 0x09)
}
