package x64

import (
	"git.akyoto.dev/cli/q/src/build/cpu"
)

// SubRegisterNumber subtracts a number from the given register.
func SubRegisterNumber(code []byte, destination cpu.Register, number int) []byte {
	return encodeNum(code, AddressDirect, 0b101, destination, number, 0x83, 0x81)
}

// SubRegisterRegister subtracts a register value from another register.
func SubRegisterRegister(code []byte, destination cpu.Register, operand cpu.Register) []byte {
	return encode(code, AddressDirect, operand, destination, 8, 0x29)
}
