package core

import (
	"fmt"
)

// AddBytes adds a sequence of bytes and returns its address as a label.
func (f *Function) AddBytes(value []byte) string {
	f.count.data++
	label := fmt.Sprintf("%s_data_%d", f.Name, f.count.data)
	f.Assembler.SetData(label, value)
	return label
}
