package core

import (
	"git.akyoto.dev/cli/q/src/build/ast"
)

// CompileAST compiles an abstract syntax tree.
func (f *Function) CompileAST(tree ast.AST) error {
	for _, node := range tree {
		err := f.CompileASTNode(node)

		if err != nil {
			return err
		}
	}

	return nil
}
