package core

// IdentifierExists returns true if the identifier has been defined.
func (f *Function) IdentifierExists(name string) bool {
	variable := f.VariableByName(name)

	if variable != nil {
		return true
	}

	_, exists := f.Functions[name]
	return exists
}
