package errors

import "fmt"

// InvalidOperator error is created when an operator is not valid.
type InvalidOperator struct {
	Operator string
}

// Error generates the string representation.
func (err *InvalidOperator) Error() string {
	return fmt.Sprintf("Invalid operator '%s'", err.Operator)
}
