package errors

import "fmt"

// UnknownCLIParameter error is created when a command line parameter is not recognized.
type UnknownCLIParameter struct {
	Parameter string
}

// Error generates the string representation.
func (err *UnknownCLIParameter) Error() string {
	return fmt.Sprintf("Unknown parameter '%s'", err.Parameter)
}
