package register

import (
	"git.akyoto.dev/cli/q/src/build/asm"
	"git.akyoto.dev/cli/q/src/build/cpu"
)

func (f *Machine) Register(mnemonic asm.Mnemonic, a cpu.Register) {
	f.Assembler.Register(mnemonic, a)

	if mnemonic == asm.POP {
		f.UseRegister(a)
	}

	f.postInstruction()
}
