package scanner

import (
	"sync"

	"git.akyoto.dev/cli/q/src/build/core"
	"git.akyoto.dev/cli/q/src/build/fs"
)

// Scanner is used to scan files before the actual compilation step.
type Scanner struct {
	files     chan *fs.File
	functions chan *core.Function
	errors    chan error
	queued    sync.Map
	group     sync.WaitGroup
}
