package cli

import (
	"fmt"
	"io"
)

// Help shows the command line argument usage.
func Help(w io.Writer, code int) int {
	fmt.Fprintln(w, `Usage: q [command] [options]

    commands:

        build [directory | file]
        run [directory | file]
        help
        system

    build options:

        --assembler, -a    Show assembler instructions.
        --comments, -c     Show assembler comments.
        --verbose, -v      Show everything.`)
	return code
}
