package x64

import (
	"git.akyoto.dev/cli/q/src/build/cpu"
)

// AndRegisterNumber performs a bitwise AND using a register and a number.
func AndRegisterNumber(code []byte, destination cpu.Register, number int) []byte {
	return encodeNum(code, AddressDirect, 0b100, destination, number, 0x83, 0x81)
}

// AndRegisterRegister performs a bitwise AND using two registers.
func AndRegisterRegister(code []byte, destination cpu.Register, operand cpu.Register) []byte {
	return encode(code, AddressDirect, operand, destination, 8, 0x21)
}
