package x64

import "git.akyoto.dev/cli/q/src/build/cpu"

// PushRegister pushes the value inside the register onto the stack.
func PushRegister(code []byte, register cpu.Register) []byte {
	if register >= 8 {
		code = append(code, REX(0, 0, 0, 1))
		register -= 8
	}

	return append(
		code,
		0x50+byte(register),
	)
}
