package errors

import "fmt"

// InvalidInstruction error is created when an instruction is not valid.
type InvalidInstruction struct {
	Instruction string
}

// Error generates the string representation.
func (err *InvalidInstruction) Error() string {
	return fmt.Sprintf("Invalid instruction '%s'", err.Instruction)
}
