package token_test

import (
	"testing"

	"git.akyoto.dev/cli/q/src/build/token"
	"git.akyoto.dev/go/assert"
)

func TestIndexKind(t *testing.T) {
	tokens := token.Tokenize([]byte("a{{}}"))
	assert.Equal(t, tokens.IndexKind(token.NewLine), -1)
	assert.Equal(t, tokens.LastIndexKind(token.NewLine), -1)
	assert.Equal(t, tokens.IndexKind(token.BlockStart), 1)
	assert.Equal(t, tokens.LastIndexKind(token.BlockStart), 2)
	assert.Equal(t, tokens.IndexKind(token.BlockEnd), 3)
	assert.Equal(t, tokens.LastIndexKind(token.BlockEnd), 4)
}
